Subject: Re: [PATCH v3 4/5] refs/reftable-backend: drop uses of the_repository

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 2 Apr 2026 09:27:39 +0200

On Sun, Mar 29, 2026 at 03:46:42PM +0530, Shreyansh Paliwal wrote:
> reftable_be_init() and reftable_be_create_on_disk() use the_repository even
> though a repository instance is already available, either directly or via
> struct ref_store.
> 
> Replace these uses with the appropriate local repository instance (repo or
> ref_store->repo) to avoid relying on global state.
> 
> Note that USE_THE_REPOSITORY_VARIABLE cannot be removed yet, as
> is_bare_repository() is still there in the file.

I've got a patch series cooking now that'll eventually de-globalize
`is_bare_repository()`. So there's light at the end of the tunnel here :)

Patrick